<?php
// Quick-LP
// Copyright (c) Radius17
// Web: https://quick-lp.ru
// Commercial license https://quick-lp.ru/license.txt
// THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// Revision: 44b6c44 (2019-03-22 20:32:52)
//

defined('_QUICK_LP') or die("Access denied");

class preloaderQLPWidget extends QLPWidget{
	public function prepare(){ }
	
	public function render($_render_count, $params){
		if(array_key_exists("color", $params) && $params["color"]) $color=$params["color"]; else $color="#555555";
		if(array_key_exists("spinner", $params) && $params["spinner"]) $spinner=$params["spinner"]; else $spinner="/data/spinner.gif";

		QLPConfig::$siteCSS2footer=1;
		$content = "<div id=\"page-preloader\" style=\"position: fixed;left: 0;top: 0;right: 0;bottom: 0;background: ".$color.";z-index: 100500;\">
		<span class=\"spinner\" style=\"width: 200px; height: 200px; margin: -100px 0 0 -100px; position: absolute; left: 50%; top: 50%; background: url('".$spinner."') no-repeat 50% 50%;\"></span>
		</div>";
		return $content; 
	}
}