/*
 * jQuery Beautifier 1.0
 * https://arfa-cms.ru/article/jquery-beautifier-1-0.html
 * Copyright (c) 2022 Arfa-CMS
 * Dual licensed under the MIT and GPL licenses.
 * 
 * Based on Unknown example
 */
jQuery.fn.Beautifier = function(options) {
	var settings = jQuery.extend({}, options);
	function Beautifier(el) {
		if (jQuery(el).attr('type') == 'checkbox') {
			if (!jQuery(el).hasClass('CheckBoxClass')) {
				var label_class = '';
				if (jQuery(el).is(':checked')) {
					label_class = ' CheckboxChecked';
				}
				jQuery('<label for="' + jQuery(el).attr('id') + '" class="CheckBoxLabelClass' + label_class + '"><\/label>').insertAfter(el);
				jQuery(el).change(function() {
					if (jQuery(el).is(':checked')) {
						jQuery(el).next('label').addClass('CheckboxChecked');
					} else {
						jQuery(el).next("label").removeClass('CheckboxChecked');
					}
				});
				jQuery(el).addClass('CheckBoxClass');
			}
		}
	}
	this.each(function() {
		if (jQuery(this).attr('id')) {
			Beautifier(this);
		}
	});
};