<?php
// Quick-LP
// Copyright (c) Radius17
// Web: https://quick-lp.ru
// Commercial license https://quick-lp.ru/license.txt
// THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// Revision: f808af2 (2019-04-02 16:46:08)
//

defined("_QUICK_LP") or define("_QUICK_LP", "PL_KCIUQ_");
define("DS",DIRECTORY_SEPARATOR);
define("CR_LF", chr(13).chr(10));
define('DEF_CP',"UTF-8");
/* Path constants */
$path_site = realpath(dirname(__FILE__)).DS;
define("QLP_SITE",		$path_site);
define("QLP_DATA",		QLP_SITE."data".DS);
define("QLP_ENGINE",	QLP_SITE."engine".DS);
define("QLP_MEDIA",		QLP_SITE."media".DS);
define("QLP_TMP",		QLP_SITE."tmp".DS);
define("QLP_ADDONS",	QLP_ENGINE."addons".DS);
define("QLP_CACHE",		QLP_ENGINE."cache".DS);
define("QLP_CONFIG",	QLP_ENGINE."config".DS);
define("QLP_CORE",		QLP_ENGINE."core".DS);
define("QLP_PLUGINS",	QLP_ENGINE."plugins".DS);
define("QLP_TMPL",		QLP_ENGINE."tmpl".DS);
define("QLP_WIDGETS",	QLP_ENGINE."widgets".DS);

require_once QLP_ENGINE."QLPMain.php";
QLPMain::getInstance()->proceed();

?>